summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2011-01-22 20:58:23 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2011-01-22 20:58:23 +0100
commit16e08af0e93728f540925a7bb470d51b69a83e08 (patch)
tree76f40842abee11172e81d1cf9360ff0b7afbc269 /scripts
downloadfordfrog-16e08af0e93728f540925a7bb470d51b69a83e08.tar.gz
fordfrog-16e08af0e93728f540925a7bb470d51b69a83e08.tar.bz2
fordfrog-16e08af0e93728f540925a7bb470d51b69a83e08.zip
initial commit - adding netbeans 7.0 with ebuild split to clusters
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/netbeans/create_new_release.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/netbeans/create_new_release.sh b/scripts/netbeans/create_new_release.sh
new file mode 100755
index 000000000..1c3e74710
--- /dev/null
+++ b/scripts/netbeans/create_new_release.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+OLD=${1}
+NEW=${2}
+SOURCE_URL=${3}
+
+if [[ -z "${OLD}" ]] || [[ -z "${NEW}" ]] || [[ -z "${SOURCE_URL}" ]] ; then
+ echo "Missing argument!"
+ exit 1
+fi
+
+pushd $(dirname $(readlink -f ${0})) >/dev/null || exit 1
+pushd $(hg root) >/dev/null || exit 1
+
+for file in */*/*${OLD}*.ebuild ; do
+ hg cp ${file} $(echo ${file} | sed "s/${OLD}/${NEW}/") || exit 1
+done
+
+sed -i "s%SOURCE_URL=.*%SOURCE_URL=\"${SOURCE_URL}\"%" */*/*${NEW}*.ebuild || exit 1
+
+for file in */*/*${NEW}*.ebuild ; do
+ ebuild ${file} manifest
+done
+
+popd >/dev/null || exit 1
+popd >/dev/null || exit 1